Package org.jboss.logging.annotations

## Annotation Type LogMessage

    @Retention(CLASS)
    @Target(METHOD)
    @Documented
    public @interface LogMessage

A typed logger method. Indicates that this method will log the associated `Message` to the logger system, as opposed to being a simple message lookup.

Author:
  David M. Lloyd

### Optional Element Summary

Optional Elements
`org.jboss.logging.Logger.Level` `level` The log level at which this message should be logged.
`java.lang.Class<?>` `loggingClass` The logging class name to use for this message, if any.

### Element Detail

#### level

    org.jboss.logging.Logger.Level level

The log level at which this message should be logged. Defaults to `INFO`.

Returns:
  the log level

Default:
  org.jboss.logging.Logger.Level.INFO

#### loggingClass

    java.lang.Class<?> loggingClass

The logging class name to use for this message, if any.

Returns:
  the logging class name

Default:
  java.lang.Void.class